Subject: Re: Remote tar
From: [email-masked] (Stipe Tolj)

26 Sep 1998 06:54:50 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Stephen Vance <[email-masked]>
Cc: [email-masked]

> I have been trying to use the Cygwin tar to backup remotely to a tape
> drive on a Linux host, but get error messages that the remote host or
> device can't be found.  I have verified that I can rsh to the Linux box,
> although the rsh being used is the WinNT version.  I have also used the
> Linux tar on the machines other boot personality successfully to backup
> up remotely.
>
> I stopped short of installing ssh and trying to use it as the
> --rsh-program, although I did explicitly specify the WinNT version with
> no different behavior.
>
> Does anyone know why this doesn't work?  Current theories are:
>
> 1)  WinNT rsh does not supply the necessary piping functionality for the
> rmt interface.
> 2)  The binary open issue is rearing its ugly head yet again.
> 3)  This functionality has never been tested or explicitly ported under
> Cygwin.
>
> For reference, the command being used is
>
> tar cvf kat:/dev/st0 .

you may be using rsync-2.1.1 from http://samba.anu.edu.au/rsync.

Just configure and make the package on both systems. Run rsync as standalone
daemon on the Linux machine and access it via the client version of rsync on
WinNT.

Currently the orginal distribution will only support the client part of rsync
on Cygwin32. I am working on the port to support the daemon part too.

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin32 Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".